apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - namespace.yaml
  - ../../demo22-cluster
namespace: s21sec
configMapGenerator:
  - name: the-map
    behavior: merge
    literals:
      - PARTICIPANT_NAME=s21sec
      - PARENT_DOMAIN=auditor.gaia-x.community
patches:
  - patch: |-
      - op: replace
        path: "/spec/rules/0/host"
        value: "s21sec.auditor.gaia-x.community"
      - op: replace
        path: "/spec/tls/0/hosts"
        value: ["s21sec.auditor.gaia-x.community"]
    target:
      kind: Ingress
      name: participant-agent
